Page MenuHomeFreeBSD

pf: support basic L3 filtering in the Ethernet rules
ClosedPublic

Authored by kp on Mar 8 2022, 5:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 21, 7:20 PM
Unknown Object (File)
Sun, May 19, 11:20 PM
Unknown Object (File)
Fri, May 10, 11:35 AM
Unknown Object (File)
Thu, May 2, 2:24 AM
Unknown Object (File)
Mar 22 2024, 10:44 AM
Unknown Object (File)
Mar 22 2024, 10:02 AM
Unknown Object (File)
Mar 22 2024, 9:43 AM
Unknown Object (File)
Mar 22 2024, 9:43 AM

Details

Summary

Allow filtering based on the source or destination IP/IPv6 address in
the Ethernet layer rules.

Sponsored by: Rubicon Communications, LLC ("Netgate")

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

debdrup added a subscriber: debdrup.

Please remember to bump .Dd on pf.conf.5 - other than that, manual page looks fine.

This revision is now accepted and ready to land.Mar 8 2022, 9:26 PM

Other than the needed bump, manual page change LGTM

share/man/man5/pf.conf.5
31

Needs bumping..

This revision now requires review to proceed.Mar 9 2022, 10:18 AM

Manual page LGTM now. Holding back until someone opines on consistency with parser (and correctness of rest of source code change).

This revision was not accepted when it landed; it landed in state Needs Review.Mar 14 2022, 9:44 PM
This revision was automatically updated to reflect the committed changes.